跳转到主要内容

创建支付链接

POST/api/v1/bank/wallet/payment-link/Bearer Token

身份验证​

需要 Bearer 令牌。参见身份验证。

请求字段​

字段类型必填说明
wallet_uuidstring (UUID)是结算钱包
merchant_idstring是商户标识符
regionstring是国家代码(BR、MX、CL)
currencystring是ISO 货币代码(BRL、MXN、USD)
billing_typestring是installment
charge_typearray of strings是接受的支付方式:credit_card、pix、pix_and_card、card_and_card
namestring是链接显示名称
descriptionstring是结账页面上显示的描述
valuenumber是支付金额
max_installment_countinteger是最大分期数(单次支付为 1)
is_checkoutboolean否true 为一次性使用;false 为可重复使用
redirect_urlstring否支付完成后的客户跳转 URL
webhook_urlstring否覆盖此链接的 Webhook URL

请求示例​

curl -sS -X POST 'https://sandbox.api.a55.tech/api/v1/bank/wallet/payment-link/' \
-H 'Authorization: Bearer $ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"wallet_uuid": "00000000-0000-4000-8000-000000000001",
"merchant_id": "merchant_123",
"region": "BR",
"currency": "BRL",
"billing_type": "installment",
"charge_type": ["credit_card", "pix"],
"name": "月度发票",
"description": "发票 #INV-2026-042",
"value": 250.00,
"max_installment_count": 3,
"is_checkout": true,
"redirect_url": "https://merchant.example/thanks",
"webhook_url": "https://merchant.example/webhooks/a55"
}'

响应示例​

{
"payment_link_uuid": "0b9bffcb-2d96-42bb-8641-279bfc8aac19",
"status": "active",
"url": "https://pay.a55.tech/checkout/0b9bffcb-2d96-42bb-8641-279bfc8aac19",
"local_currency": 250.00,
"currency": "BRL",
"usd_currency": 45.00,
"eur_currency": 41.25
}

分发渠道​

渠道方式
电子邮件将 url 嵌入账单和提醒邮件
WhatsApp / 短信粘贴 HTTPS 链接
社交媒体发布到营销活动
二维码将 URL 编码为二维码用于线下或印刷
SDKA55Pay.open({ checkoutUuid: '<uuid>' })
安全分享

仅使用 HTTPS。切勿在公开渠道粘贴密钥或预授权令牌。